> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 組織権限を追加する

> 組織に Git の権限を追加する

Enterprise 管理者の個人用 APIキーが必要です。

Enterprise 内の特定の組織に、1つ以上の Git リポジトリの権限を追加します。


## OpenAPI

````yaml ja/v2-openapi.yaml POST /v2/enterprise/organizations/{org_id}/git/permissions
openapi: 3.1.0
info:
  description: Enterprise 管理者向け Personal API Keys 対応 Devin v2 API
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/organizations/{org_id}/git/permissions:
    post:
      tags:
        - organizations
      summary: Enterprise 組織の権限を追加するエンドポイント
      description: |-
        組織に新しい Git 権限を追加します。

        作成された権限 ID を入力と同じ順序で返し、あわせて permission_id からリポジトリ／グループのパスへのマッピングも返します。
      operationId: >-
        enterprise_organization_permission_addition_endpoint_v2_enterprise_organizations__org_id__git_permissions_post
      parameters:
        - in: path
          name: org_id
          required: true
          schema:
            title: Org Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              items:
                $ref: '#/components/schemas/GitPermissionRequest'
              title: Payload
              type: array
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PermissionsCreatedSuccessResponse'
          description: 成功時のレスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: バリデーションエラー
components:
  schemas:
    GitPermissionRequest:
      properties:
        connection_id:
          title: Connection Id
          type: string
        group_prefix:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Group Prefix
        group_prefix_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Group Prefix Url
        prefix_path:
          anyOf:
            - type: string
            - type: 'null'
          title: Prefix Path
        repo_path:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Repo Path
        repo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Repo Url
      required:
        - connection_id
      title: GitPermissionRequest
      type: object
    PermissionsCreatedSuccessResponse:
      properties:
        permission_ids:
          items:
            type: string
          title: Permission Ids
          type: array
        permission_names:
          additionalProperties:
            type: string
          title: Permission Names
          type: object
        status:
          default: success
          title: Status
          type: string
      required:
        - permission_ids
        - permission_names
      title: PermissionsCreatedSuccessResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: Enterprise 管理者専用の個人用 API キー (apk_user_*)
      scheme: bearer
      type: http

````